diff --git a/drivers/wifi/nrf700x/zephyr/src/qspi/inc/qspi_if.h b/drivers/wifi/nrf700x/zephyr/src/qspi/inc/qspi_if.h
index 92304a2a0..1edd62945 100644
--- a/drivers/wifi/nrf700x/zephyr/src/qspi/inc/qspi_if.h
+++ b/drivers/wifi/nrf700x/zephyr/src/qspi/inc/qspi_if.h
@@ -39,8 +39,10 @@ struct qspi_config {
 	struct k_sem lock;
 	unsigned int addrmask;
 	unsigned char qspi_slave_latency;
-#ifdef CONFIG_NRF700X_ON_QSPI
+#ifdef CONFIG_NRF700X_ON_QSPI 
+#if NRF_QSPI_HAS_XIP_ENC || NRF_QSPI_HAS_DMA_ENC
 	nrf_qspi_encryption_t p_cfg;
+#endif /*NRF_QSPI_HAS_XIP_ENC || NRF_QSPI_HAS_DMA_ENC*/
 #endif /*CONFIG_NRF700X_ON_QSPI*/
 	int test_hlread;
 	char *test_name;
diff --git a/drivers/wifi/nrf700x/zephyr/src/qspi/src/device.c b/drivers/wifi/nrf700x/zephyr/src/qspi/src/device.c
index 57b474bdd..d3a3dfb3a 100644
--- a/drivers/wifi/nrf700x/zephyr/src/qspi/src/device.c
+++ b/drivers/wifi/nrf700x/zephyr/src/qspi/src/device.c
@@ -52,14 +52,14 @@ struct qspi_config *qspi_defconfig(void)
 	config.encryption = config.CMD_CNONCE = false;
 
 #if defined(CONFIG_NRF700X_ON_QSPI)
-
+#if NRF_QSPI_HAS_XIP_ENC || NRF_QSPI_HAS_DMA_ENC
 	/*For #Bit 6 Enable below: i.e ALL Ones for QSPI Key*/
 	memset(&config.p_cfg.key, 0xff, sizeof(config.p_cfg.key));
 
 	config.p_cfg.nonce[0] = 0x16181648;
 	config.p_cfg.nonce[1] = 0x0;
 	config.p_cfg.nonce[2] = 0x1;
-
+#endif
 #endif /*CONFIG_NRF700X_ON_QSPI*/
 
 	return &config;
diff --git a/drivers/wifi/nrf700x/zephyr/src/qspi/src/qspi_if.c b/drivers/wifi/nrf700x/zephyr/src/qspi/src/qspi_if.c
index e76958339..c10a4a9ff 100644
--- a/drivers/wifi/nrf700x/zephyr/src/qspi/src/qspi_if.c
+++ b/drivers/wifi/nrf700x/zephyr/src/qspi/src/qspi_if.c
@@ -27,8 +27,10 @@
 #include "qspi_if.h"
 
 static struct qspi_config *qspi_config;
+#if NRF_QSPI_HAS_XIP_ENC || NRF_QSPI_HAS_DMA_ENC
 static unsigned int nonce_last_addr;
 static unsigned int nonce_cnt;
+#endif
 
 /* Main config structure */
 static nrfx_qspi_config_t QSPIconfig;
